import { useSelector } from "react-redux";
import { reducerWithInitialState } from "typescript-fsa-reducers";
export const consoleInitialState = {
    outputs: 0
};
/* Selectors */
export const selectConsole = () => useSelector((state) => {
    if (state.console) {
        return state.console;
    }
    return { outputs: 0 };
});
/* Actions */
import actionCreatorFactory from "typescript-fsa";
export var ActionType;
(function (ActionType) {
    ActionType["OUTPUTS"] = "console/OUTPUTS";
    ActionType["EXECUTE"] = "console/EXECUTE";
})(ActionType || (ActionType = {}));
const actionCreator = actionCreatorFactory('jupyterReact');
export const consoleActions = {
    outputs: actionCreator(ActionType.OUTPUTS),
    execute: actionCreator(ActionType.EXECUTE),
};
/* Reducers */
export const consoleReducer = reducerWithInitialState(consoleInitialState)
    .case(consoleActions.outputs, (state, success) => {
    return Object.assign(Object.assign({}, state), { outputs: success });
});
//# sourceMappingURL=ConsoleState.js.map