/// <reference types="react" />
import '@jupyterlab/completer/style/index.css';
import '@jupyterlab/documentsearch/style/index.css';
import '@jupyterlab/notebook/style/index.css';
import '@jupyterlab/theme-light-extension/style/theme.css';
import '@jupyterlab/theme-light-extension/style/variables.css';
import './Notebook.css';
export declare type INotebookProps = {
    path: string;
    ipywidgets?: 'classic' | 'lab';
    sidebarMargin: number;
    sidebarComponent?: (props: any) => JSX.Element;
};
/**
 * This component creates a Notebook as a collection
 * of cells with sidebars.
 *
 * @param props The notebook properties.
 * @returns A Notebook component.
 */
export declare const Notebook: {
    (props: INotebookProps): import("@emotion/react/jsx-runtime").JSX.Element;
    defaultProps: Partial<INotebookProps>;
};
export default Notebook;
