import { useSelector } from "react-redux";
import actionCreatorFactory from "typescript-fsa";
import { reducerWithInitialState } from "typescript-fsa-reducers";
export const settingsInitialState = {
    outputs: 0,
};
/* Selectors */
export const selectSettings = () => useSelector((state) => {
    if (state.settings) {
        return state.settings;
    }
    return { outputs: 0 };
});
/* Actions */
export var ActionType;
(function (ActionType) {
    ActionType["OUTPUTS"] = "settings/OUTPUTS";
    ActionType["EXECUTE"] = "settings/EXECUTE";
})(ActionType || (ActionType = {}));
const actionCreator = actionCreatorFactory('jupyterReact');
export const settingsActions = {
    outputs: actionCreator(ActionType.OUTPUTS),
    execute: actionCreator(ActionType.EXECUTE),
};
/* Reducers */
export const settingsReducer = reducerWithInitialState(settingsInitialState)
    .case(settingsActions.outputs, (state, success) => {
    return Object.assign(Object.assign({}, state), { outputs: success });
});
//# sourceMappingURL=SettingsState.js.map