/**
 * The default Jupyter configuration.
 */
let config = {
    jupyterServerHttpUrl: '',
    jupyterServerWsUrl: '',
    jupyterToken: '',
};
/**
 * Setter for jupyterServerHttpUrl.
 */
export const setJupyterServerHttpUrl = (jupyterServerHttpUrl) => {
    config.jupyterServerHttpUrl = jupyterServerHttpUrl;
};
/**
 * Getter for jupyterServerHttpUrl.
 */
export const getJupyterServerHttpUrl = () => config.jupyterServerHttpUrl;
/**
 * Setter for jupyterServerWsUrl.
 */
export const setJupyterServerWsUrl = (jupyterServerWsUrl) => {
    config.jupyterServerWsUrl = jupyterServerWsUrl;
};
/**
 * Getter for jupyterServerWsUrl.
 */
export const getJupyterServerWsUrl = () => config.jupyterServerWsUrl;
/**
 * Setter for jupyterToken.
 */
export const setJupyterToken = (jupyterToken) => {
    config.jupyterToken = jupyterToken;
};
/**
 * Getter for jupyterToken.
 */
export const getJupyterToken = () => config.jupyterToken;
/**
 * Method to load the Jupyter configuration from the
 * host HTML page.
 */
export const loadJupyterConfig = () => {
    let config = Object.create({});
    const htmlConfig = document.getElementById('datalayer-config-data');
    if (htmlConfig) {
        config = JSON.parse(htmlConfig.textContent || '');
        if (config['jupyterServerHttpUrl']) {
            setJupyterServerHttpUrl(config['jupyterServerHttpUrl']);
        }
        if (config['jupyterServerWsUrl']) {
            setJupyterServerWsUrl(config['jupyterServerWsUrl']);
        }
        if (config['jupyterToken']) {
            setJupyterToken(config['jupyterToken']);
        }
    }
};
//# sourceMappingURL=JupyterConfig.js.map